" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %fun% %pi% *
syn keyword tl_keyword contained *args* *args-eff* *args-full* *child-env*
syn keyword tl_keyword contained *compile-opts* *doc-url* *filters* *full-args*
syn keyword tl_keyword contained *gensym-counter* *hash-seed* *lib-version* *listener-auto-compound-p*
syn keyword tl_keyword contained *listener-greedy-eval-p* *listener-hist-len* *listener-multi-line-p* *listener-pprint-p*
syn keyword tl_keyword contained *listener-sel-inclusive-p* *load-args* *load-hooks* *load-path*
syn keyword tl_keyword contained *load-search-dirs* *match-macro* *opt-level* *package*
syn keyword tl_keyword contained *package-alist* *param-macro* *place-clobber-expander* *place-delete-expander*
syn keyword tl_keyword contained *place-macro* *place-update-expander* *pprint-flo-format* *print-base*
syn keyword tl_keyword contained *print-circle* *print-flo-digits* *print-flo-format* *print-flo-precision*
syn keyword tl_keyword contained *print-json-format* *random-state* *random-warmup* *read-bad-json*
syn keyword tl_keyword contained *read-unknown-structs* *rec-source-loc* *stddebug* *stderr*
syn keyword tl_keyword contained *stdin* *stdlog* *stdnull* *stdout*
syn keyword tl_keyword contained *struct-clause-expander* *trace-output* *tree-fun-whitelist* *txr-version*
syn keyword tl_keyword contained *unhandled-hook* + - /
syn keyword tl_keyword contained /= : :abandoned :abs
syn keyword tl_keyword contained :addr :all :android :apf
syn keyword tl_keyword contained :append :args :atime :auto
syn keyword tl_keyword contained :awk-again :awk-file :awk-rec :begin
syn keyword tl_keyword contained :begin-file :blksize :blocks :bool
syn keyword tl_keyword contained :byte-oriented :cdigit :chars :cint
syn keyword tl_keyword contained :clean :close :compile :continue
syn keyword tl_keyword contained :counter :cspace :ctime :cword-char
syn keyword tl_keyword contained :cygnal :cygwin :dec :decline
syn keyword tl_keyword contained :delegate :dev :digit :downcase
syn keyword tl_keyword contained :end :end-file :env :eq-based
syn keyword tl_keyword contained :eql-based :equal-based :error :explicit-no
syn keyword tl_keyword contained :fallback :fd :fence :fields
syn keyword tl_keyword contained :filter :fini :finish :float
syn keyword tl_keyword contained :form :from-current :from-end :from-start
syn keyword tl_keyword contained :from_html :frombase64 :frombase64url :fromhtml
syn keyword tl_keyword contained :frompercent :fromurl :fun :function
syn keyword tl_keyword contained :gap :gid :greedy :hex
syn keyword tl_keyword contained :hextoint :inf :inherit :init
syn keyword tl_keyword contained :ino :inp :inputs :instance
syn keyword tl_keyword contained :into :key :let :lfilt
syn keyword tl_keyword contained :lines :linux :list :lists
syn keyword tl_keyword contained :local :longest :macos :macro
syn keyword tl_keyword contained :mandatory :mass-delegate :match :maxgap
syn keyword tl_keyword contained :maxtimes :method :mid :mingap
syn keyword tl_keyword contained :mintimes :mode :mtime :name
syn keyword tl_keyword contained :named :next-spec :nlink :noclose
syn keyword tl_keyword contained :nothrow :oct :ok :openbsd
syn keyword tl_keyword contained :outf :outp :output :owner
syn keyword tl_keyword contained :perms :postfini :postinit :prio
syn keyword tl_keyword contained :rdev :real-time :reflect :repeat-spec
syn keyword tl_keyword contained :resolve :rfilt :set :set-file
syn keyword tl_keyword contained :shortest :size :solaris :solaris10
syn keyword tl_keyword contained :space :standard :static :str
syn keyword tl_keyword contained :string :symacro :symlinks :text
syn keyword tl_keyword contained :times :tlist :to_html :tobase64
syn keyword tl_keyword contained :tobase64url :tofloat :tohtml :tohtml*
syn keyword tl_keyword contained :toint :tonumber :topercent :tourl
syn keyword tl_keyword contained :uid :unknown :upcase :use
syn keyword tl_keyword contained :use-from :use-syms :use-syms-as :userdata
syn keyword tl_keyword contained :var :vars :warn :weak-and
syn keyword tl_keyword contained :weak-keys :weak-or :weak-vals :whole
syn keyword tl_keyword contained :word-char :wrap < <=
syn keyword tl_keyword contained = > >= abort
syn keyword tl_keyword contained abs abs-path-p acons acons-new
syn keyword tl_keyword contained aconsql-new acos acosh add-suffix
syn keyword tl_keyword contained ado af-inet af-inet6 af-unix
syn keyword tl_keyword contained af-unspec ai-addrconfig ai-all ai-canonname
syn keyword tl_keyword contained ai-numerichost ai-numericserv ai-passive ai-v4mapped
syn keyword tl_keyword contained alet align alignof alist-nremove
syn keyword tl_keyword contained alist-remove all allocate-struct and
syn keyword tl_keyword contained andf ap apf append
syn keyword tl_keyword contained append* append-each append-each* append-each-prod
syn keyword tl_keyword contained append-each-prod* append-match-products append-matches apply
syn keyword tl_keyword contained aret arithp array arraysize
syn keyword tl_keyword contained ash asin asinh assert
syn keyword tl_keyword contained assoc assq assql at-exit-call
syn keyword tl_keyword contained at-exit-do-not-call atan atan2 atanh
syn keyword tl_keyword contained atom awk base-name base64-decode
syn keyword tl_keyword contained base64-decode-buf base64-encode base64-stream-dec base64-stream-enc
syn keyword tl_keyword contained base64url-decode base64url-decode-buf base64url-encode base64url-stream-dec
syn keyword tl_keyword contained base64url-stream-enc bchar be-double be-float
syn keyword tl_keyword contained be-int16 be-int32 be-int64 be-uint16
syn keyword tl_keyword contained be-uint32 be-uint64 bignum-len bignump
syn keyword tl_keyword contained bindable bit bitset blkcnt-t
syn keyword tl_keyword contained blksize-t block block* bool
syn keyword tl_keyword contained boundp bracket break-str brkint
syn keyword tl_keyword contained bs0 bs1 bsdly bstr
syn keyword tl_keyword contained bstr-d bstr-s buf buf-alloc-size
syn keyword tl_keyword contained buf-carray buf-compress buf-d buf-decompress
syn keyword tl_keyword contained buf-get-char buf-get-cptr buf-get-double buf-get-float
syn keyword tl_keyword contained buf-get-i16 buf-get-i32 buf-get-i64 buf-get-i8
syn keyword tl_keyword contained buf-get-int buf-get-long buf-get-short buf-get-u16
syn keyword tl_keyword contained buf-get-u32 buf-get-u64 buf-get-u8 buf-get-uchar
syn keyword tl_keyword contained buf-get-uint buf-get-ulong buf-get-ushort buf-int
syn keyword tl_keyword contained buf-list buf-put-buf buf-put-char buf-put-cptr
syn keyword tl_keyword contained buf-put-double buf-put-float buf-put-i16 buf-put-i32
syn keyword tl_keyword contained buf-put-i64 buf-put-i8 buf-put-int buf-put-long
syn keyword tl_keyword contained buf-put-short buf-put-u16 buf-put-u32 buf-put-u64
syn keyword tl_keyword contained buf-put-u8 buf-put-uchar buf-put-uint buf-put-ulong
syn keyword tl_keyword contained buf-put-ushort buf-set-length buf-str buf-trim
syn keyword tl_keyword contained buf-uint bufp build build-list
syn keyword tl_keyword contained buildn built-in-type-p butlast butlastn
syn keyword tl_keyword contained caaaaar caaaadr caaaar caaadar
syn keyword tl_keyword contained caaaddr caaadr caaar caadaar
syn keyword tl_keyword contained caadadr caadar caaddar caadddr
syn keyword tl_keyword contained caaddr caadr caar cadaaar
syn keyword tl_keyword contained cadaadr cadaar cadadar cadaddr
syn keyword tl_keyword contained cadadr cadar caddaar caddadr
syn keyword tl_keyword contained caddar cadddar caddddr cadddr
syn keyword tl_keyword contained caddr cadr call call-clobber-expander
syn keyword tl_keyword contained call-delete-expander call-finalizers call-super-fun call-super-method
syn keyword tl_keyword contained call-update-expander callf car carray
syn keyword tl_keyword contained carray-blank carray-buf carray-buf-sync carray-cptr
syn keyword tl_keyword contained carray-dup carray-free carray-get carray-getz
syn keyword tl_keyword contained carray-int carray-list carray-own carray-pun
syn keyword tl_keyword contained carray-put carray-putz carray-ref carray-refset
syn keyword tl_keyword contained carray-replace carray-set-length carray-sub carray-type
syn keyword tl_keyword contained carray-uint carray-vec carrayp caseq
syn keyword tl_keyword contained caseq* caseql caseql* casequal
syn keyword tl_keyword contained casequal* cat-files cat-str cat-streams
syn keyword tl_keyword contained cat-vec catch catch* catch**
syn keyword tl_keyword contained catenated-stream-p catenated-stream-push cbaud cbaudex
syn keyword tl_keyword contained cbrt cdaaaar cdaaadr cdaaar
syn keyword tl_keyword contained cdaadar cdaaddr cdaadr cdaar
syn keyword tl_keyword contained cdadaar cdadadr cdadar cdaddar
syn keyword tl_keyword contained cdadddr cdaddr cdadr cdar
syn keyword tl_keyword contained cddaaar cddaadr cddaar cddadar
syn keyword tl_keyword contained cddaddr cddadr cddar cdddaar
syn keyword tl_keyword contained cdddadr cdddar cddddar cdddddr
syn keyword tl_keyword contained cddddr cdddr cddr cdr
syn keyword tl_keyword contained ceil ceil-rem chain chand
syn keyword tl_keyword contained char chdir chmod chmod-rec
syn keyword tl_keyword contained chown chown-rec chr-digit chr-int
syn keyword tl_keyword contained chr-isalnum chr-isalpha chr-isascii chr-isblank
syn keyword tl_keyword contained chr-iscntrl chr-isdigit chr-isgraph chr-islower
syn keyword tl_keyword contained chr-isprint chr-ispunct chr-isspace chr-isunisp
syn keyword tl_keyword contained chr-isupper chr-isxdigit chr-num chr-str
syn keyword tl_keyword contained chr-str-set chr-tolower chr-toupper chr-xdigit
syn keyword tl_keyword contained chrp clamp clean-file clear-dirty
syn keyword tl_keyword contained clear-error clear-mask clear-struct clearhash
syn keyword tl_keyword contained clocal clock-t clockid-t close
syn keyword tl_keyword contained close-lazy-streams close-stream closedir closelog
syn keyword tl_keyword contained closure cmp-str cmspar cnsort
syn keyword tl_keyword contained coded-length collect-each collect-each* collect-each-prod
syn keyword tl_keyword contained collect-each-prod* comb combi command-get
syn keyword tl_keyword contained command-get-buf command-get-json command-get-jsons command-get-lines
syn keyword tl_keyword contained command-get-string command-put command-put-buf command-put-json
syn keyword tl_keyword contained command-put-jsons command-put-lines command-put-string compare-swap
syn keyword tl_keyword contained compile compile-defr-warning compile-error compile-file
syn keyword tl_keyword contained compile-only compile-toplevel compile-update-file compile-warning
syn keyword tl_keyword contained compiler-let compl-span-str cond conda
syn keyword tl_keyword contained condlet cons cons-count cons-find
syn keyword tl_keyword contained conses conses* consp constantp
syn keyword tl_keyword contained contain[s] copy copy-alist copy-buf
syn keyword tl_keyword contained copy-carray copy-cons copy-cptr copy-file
syn keyword tl_keyword contained copy-files copy-fun copy-hash copy-hash-iter
syn keyword tl_keyword contained copy-iter copy-list copy-path-rec copy-search-tree
syn keyword tl_keyword contained copy-str copy-struct copy-tnode copy-tree
syn keyword tl_keyword contained copy-tree-iter copy-vec copysign cos
syn keyword tl_keyword contained cosh count count-if count-until-match
syn keyword tl_keyword contained countq countql countqual cptr
syn keyword tl_keyword contained cptr-buf cptr-carray cptr-cast cptr-free
syn keyword tl_keyword contained cptr-get cptr-int cptr-null cptr-obj
syn keyword tl_keyword contained cptr-out cptr-size-hint cptr-type cptr-zap
syn keyword tl_keyword contained cptrp cr0 cr1 cr2
syn keyword tl_keyword contained cr3 crc32 crc32-stream crdly
syn keyword tl_keyword contained cread crtscts crypt cs5
syn keyword tl_keyword contained cs6 cs7 cs8 csize
syn keyword tl_keyword contained csnsort csort csort-group cssort
syn keyword tl_keyword contained cstopb cum-norm-dist cxr cyr
syn keyword tl_keyword contained daemon dec defer-warning defex
syn keyword tl_keyword contained deffi deffi-cb deffi-cb-unsafe deffi-struct
syn keyword tl_keyword contained deffi-sym deffi-type deffi-union deffi-var
syn keyword tl_keyword contained define-accessor define-modify-macro define-option-struct define-param-expander
syn keyword tl_keyword contained define-place-macro define-struct-clause define-struct-prelude defmacro
syn keyword tl_keyword contained defmatch defmeth defpackage defparm
syn keyword tl_keyword contained defparml defplace defset defstruct
syn keyword tl_keyword contained defsymacro defun defun-match defvar
syn keyword tl_keyword contained defvarl del delay delcons
syn keyword tl_keyword contained delete-package dev-t diff digits
syn keyword tl_keyword contained digpow dir-name dirstat disassemble
syn keyword tl_keyword contained display-width divides dlclose dlopen
syn keyword tl_keyword contained dlsym dlsym-checked dlvsym dlvsym-checked
syn keyword tl_keyword contained do doc dohash doloop
syn keyword tl_keyword contained doloop* dotimes double downcase-str
syn keyword tl_keyword contained drem drop drop-until drop-while
syn keyword tl_keyword contained dt-blk dt-chr dt-dir dt-fifo
syn keyword tl_keyword contained dt-lnk dt-reg dt-sock dt-unknown
syn keyword tl_keyword contained dump-compiled-objects dump-deferred-warnings dup dupfd
syn keyword tl_keyword contained dwim e2big eacces each
syn keyword tl_keyword contained each* each-false each-match each-match-product
syn keyword tl_keyword contained each-prod each-prod* each-true eaddrinuse
syn keyword tl_keyword contained eaddrnotavail eafnosupport eagain ealready
syn keyword tl_keyword contained ebadf ebadmsg ebusy ecanceled
syn keyword tl_keyword contained ecaseq ecaseq* ecaseql ecaseql*
syn keyword tl_keyword contained ecasequal ecasequal* echild echo
syn keyword tl_keyword contained echoctl echoe echok echoke
syn keyword tl_keyword contained echonl echoprt econnaborted econnrefused
syn keyword tl_keyword contained econnreset edeadlk edestaddrreq edom
syn keyword tl_keyword contained edquot eexist efault efbig
syn keyword tl_keyword contained ehostunreach eidrm eighth eilseq
syn keyword tl_keyword contained einprogress eintr einval eio
syn keyword tl_keyword contained eisconn eisdir elemsize elemtype
syn keyword tl_keyword contained eloop emfile emlink empty
syn keyword tl_keyword contained emsgsize emultihop enametoolong endgrent
syn keyword tl_keyword contained endp endpwent ends-with enetdown
syn keyword tl_keyword contained enetreset enetunreach enfile enobufs
syn keyword tl_keyword contained enodata enodev enoent enoexec
syn keyword tl_keyword contained enolck enolink enomem enomsg
syn keyword tl_keyword contained enoprotoopt enospc enosr enostr
syn keyword tl_keyword contained enosys enotconn enotdir enotempty
syn keyword tl_keyword contained enotrecoverable enotsock enotsup enotty
syn keyword tl_keyword contained ensure ensure-dir enum enumed
syn keyword tl_keyword contained env env-fbind env-fbindings env-hash
syn keyword tl_keyword contained env-next env-vbind env-vbindings enxio
syn keyword tl_keyword contained eopnotsupp eoverflow eownerdead eperm
syn keyword tl_keyword contained epipe eproto eprotonosupport eprototype
syn keyword tl_keyword contained eq eql equal equot
syn keyword tl_keyword contained erange erf erfc erofs
syn keyword tl_keyword contained errno error espipe esrch
syn keyword tl_keyword contained estale etime etimedout etxtbsy
syn keyword tl_keyword contained etypecase eval eval-only evenp
syn keyword tl_keyword contained ewouldblock exception-subtype-map exception-subtype-p exdev
syn keyword tl_keyword contained exec exit exit* exp
syn keyword tl_keyword contained exp10 exp2 expand expand*
syn keyword tl_keyword contained expand-left expand-right expand-with-free-refs expander-let
syn keyword tl_keyword contained expm1 expt exptmod extproc
syn keyword tl_keyword contained f$ f-dupfd f-dupfd-cloexec f-getfd
syn keyword tl_keyword contained f-getfl f-getlk f-rdlck f-setfd
syn keyword tl_keyword contained f-setfl f-setlk f-setlkw f-unlck
syn keyword tl_keyword contained f-wrlck f^ f^$ false
syn keyword tl_keyword contained fboundp fcntl fd-cloexec fdim
syn keyword tl_keyword contained ff0 ff1 ffdly ffi
syn keyword tl_keyword contained ffi-alignof ffi-arraysize ffi-call ffi-elemsize
syn keyword tl_keyword contained ffi-elemtype ffi-get ffi-in ffi-make-call-desc
syn keyword tl_keyword contained ffi-make-closure ffi-offsetof ffi-out ffi-put
syn keyword tl_keyword contained ffi-put-into ffi-size ffi-type-compile ffi-type-operator-p
syn keyword tl_keyword contained ffi-type-p ffi-typedef fifth file-append
syn keyword tl_keyword contained file-append-buf file-append-json file-append-jsons file-append-lines
syn keyword tl_keyword contained file-append-objects file-append-string file-get file-get-buf
syn keyword tl_keyword contained file-get-json file-get-jsons file-get-lines file-get-objects
syn keyword tl_keyword contained file-get-string file-place-buf file-put file-put-buf
syn keyword tl_keyword contained file-put-json file-put-jsons file-put-lines file-put-objects
syn keyword tl_keyword contained file-put-string fileno fill-buf fill-buf-adjust
syn keyword tl_keyword contained fill-carray fill-obj fill-vec filter-equal
syn keyword tl_keyword contained filter-string-tree finalize find find-frame
syn keyword tl_keyword contained find-frames find-frames-by-mask find-if find-max
syn keyword tl_keyword contained find-max-key find-min find-min-key find-package
syn keyword tl_keyword contained find-struct-type find-symbol find-symbol-fb find-true
syn keyword tl_keyword contained first fixnum-max fixnum-min fixnump
syn keyword tl_keyword contained flatcar flatcar* flatten flatten*
syn keyword tl_keyword contained flet flip flipargs flo-dig
syn keyword tl_keyword contained flo-down flo-epsilon flo-get-round-mode flo-int
syn keyword tl_keyword contained flo-max flo-max-dig flo-min flo-near
syn keyword tl_keyword contained flo-set-round-mode flo-str flo-up flo-zero
syn keyword tl_keyword contained float floatp floor floor-rem
syn keyword tl_keyword contained flow flush-stream flusho fmakunbound
syn keyword tl_keyword contained fmax fmin fmt fnm-casefold
syn keyword tl_keyword contained fnm-extmatch fnm-leading-dir fnm-noescape fnm-pathname
syn keyword tl_keyword contained fnm-period fnmatch for for*
syn keyword tl_keyword contained force force-break fork format
syn keyword tl_keyword contained fourth fr$ fr^ fr^$
syn keyword tl_keyword contained from frr fsblkcnt-t fsfilcnt-t
syn keyword tl_keyword contained fstat ftw ftw-actionretval ftw-chdir
syn keyword tl_keyword contained ftw-continue ftw-d ftw-depth ftw-dnr
syn keyword tl_keyword contained ftw-dp ftw-f ftw-mount ftw-ns
syn keyword tl_keyword contained ftw-phys ftw-skip-siblings ftw-skip-subtree ftw-sl
syn keyword tl_keyword contained ftw-sln ftw-stop fun fun-fixparam-count
syn keyword tl_keyword contained fun-optparam-count fun-variadic func-get-env func-get-form
syn keyword tl_keyword contained func-get-name func-set-env functionp gamma
syn keyword tl_keyword contained gcd gen gen-hash-seed generate
syn keyword tl_keyword contained gensym gequal get-buf-from-stream get-byte
syn keyword tl_keyword contained get-char get-clobber-expander get-delete-expander get-error
syn keyword tl_keyword contained get-error-str get-frames get-hash-userdata get-indent
syn keyword tl_keyword contained get-indent-mode get-json get-jsons get-line
syn keyword tl_keyword contained get-line-as-buf get-lines get-list-from-stream get-obj
syn keyword tl_keyword contained get-sig-handler get-stack-limit get-string get-string-from-stream
syn keyword tl_keyword contained get-update-expander getaddrinfo getegid getenv
syn keyword tl_keyword contained geteuid getgid getgrent getgrgid
syn keyword tl_keyword contained getgrnam getgroups gethash getitimer
syn keyword tl_keyword contained getopts getpid getppid getpwent
syn keyword tl_keyword contained getpwnam getpwuid getresgid getresuid
syn keyword tl_keyword contained getrlimit getuid gid-t ginterate
syn keyword tl_keyword contained giterate glob glob* glob-altdirfunc
syn keyword tl_keyword contained glob-brace glob-err glob-mark glob-nocheck
syn keyword tl_keyword contained glob-noescape glob-nomagic glob-nosort glob-onlydir
syn keyword tl_keyword contained glob-period glob-tilde glob-tilde-check glob-xnobrace
syn keyword tl_keyword contained go grade greater group-by
syn keyword tl_keyword contained group-map group-reduce gun handle
syn keyword tl_keyword contained handle* handler-bind hash hash-alist
syn keyword tl_keyword contained hash-begin hash-construct hash-count hash-diff
syn keyword tl_keyword contained hash-eql hash-equal hash-from-alist hash-from-pairs
syn keyword tl_keyword contained hash-invert hash-isec hash-join hash-keys
syn keyword tl_keyword contained hash-keys-of hash-list hash-map hash-next
syn keyword tl_keyword contained hash-pairs hash-peek hash-proper-subset hash-props
syn keyword tl_keyword contained hash-reset hash-revget hash-subset hash-symdiff
syn keyword tl_keyword contained hash-uni hash-update hash-update-1 hash-userdata
syn keyword tl_keyword contained hash-values hash-zip hashp have
syn keyword tl_keyword contained hist-sort hist-sort-by hlet hlet*
syn keyword tl_keyword contained html-decode html-encode html-encode* hupcl
syn keyword tl_keyword contained hypot iapply icanon icrnl
syn keyword tl_keyword contained id-t identity identity* ido
syn keyword tl_keyword contained iexten if if-match ifa
syn keyword tl_keyword contained iff iffi iflet ignbrk
syn keyword tl_keyword contained igncr ignerr ignore ignpar
syn keyword tl_keyword contained ignwarn imaxbel improper-plist-to-alist in
syn keyword tl_keyword contained in-package in-range in-range* in6addr-any
syn keyword tl_keyword contained in6addr-loopback in6addr-str inaddr-any inaddr-loopback
syn keyword tl_keyword contained inaddr-str inc inc-indent inc-indent-abs
syn keyword tl_keyword contained indent-code indent-data indent-foff indent-off
syn keyword tl_keyword contained inhash inlcr ino-t inpck
syn keyword tl_keyword contained int int-buf int-carray int-chr
syn keyword tl_keyword contained int-cptr int-flo int-ptr-t int-str
syn keyword tl_keyword contained int16 int32 int64 int8
syn keyword tl_keyword contained integerp intern intern-fb interp-fun-p
syn keyword tl_keyword contained interpose intmax-t inv-cum-norm invoke-catch
syn keyword tl_keyword contained ip ipf ipproto-ip ipproto-ipv6
syn keyword tl_keyword contained ipproto-tcp ipproto-udp ipv6-join-group ipv6-leave-group
syn keyword tl_keyword contained ipv6-multicast-hops ipv6-multicast-if ipv6-multicast-loop ipv6-unicast-hops
syn keyword tl_keyword contained ipv6-v6only iread isatty isec
syn keyword tl_keyword contained isecp isig isqrt istrip
syn keyword tl_keyword contained iter-begin iter-cat iter-item iter-more
syn keyword tl_keyword contained iter-reset iter-step iterable itimer-prof
syn keyword tl_keyword contained itimer-real itimer-virtual iuclc iutf8
syn keyword tl_keyword contained ixany ixoff ixon j0
syn keyword tl_keyword contained j1 jmp-buf jn join
syn keyword tl_keyword contained join-with json juxt keep-if
syn keyword tl_keyword contained keep-if* keep-keys-if keep-match-products keep-matches
syn keyword tl_keyword contained keepq keepql keepqual key
syn keyword tl_keyword contained key-t keyword-package keywordp kill
syn keyword tl_keyword contained labels lambda lambda-match last
syn keyword tl_keyword contained lazy-str lazy-str-force lazy-str-force-upto lazy-str-get-trailing-list
syn keyword tl_keyword contained lazy-stream-cons lazy-stringp lchown lcm
syn keyword tl_keyword contained lcons lcons-car lcons-cdr lcons-force
syn keyword tl_keyword contained lcons-fun lconsp ldexp ldiff
syn keyword tl_keyword contained ldo le-double le-float le-int16
syn keyword tl_keyword contained le-int32 le-int64 le-uint16 le-uint32
syn keyword tl_keyword contained le-uint64 left len length
syn keyword tl_keyword contained length-< length-buf length-carray length-list
syn keyword tl_keyword contained length-list-< length-str length-str-< length-str-<=
syn keyword tl_keyword contained length-str-> length-str->= length-vec lequal
syn keyword tl_keyword contained less let let* lexical-binding-kind
syn keyword tl_keyword contained lexical-fun-binding-kind lexical-fun-p lexical-lisp1-binding lexical-macro-p
syn keyword tl_keyword contained lexical-symacro-p lexical-var-p lflow lgamma
syn keyword tl_keyword contained lib-version link lisp-parse list
syn keyword tl_keyword contained list* list-carray list-seq list-str
syn keyword tl_keyword contained list-vec list-vector listp lnew
syn keyword tl_keyword contained lnew* load load-args-process load-args-recurse
syn keyword tl_keyword contained load-for load-time loand loff-t
syn keyword tl_keyword contained log log-alert log-auth log-authpriv
syn keyword tl_keyword contained log-cons log-crit log-daemon log-debug
syn keyword tl_keyword contained log-emerg log-err log-info log-ndelay
syn keyword tl_keyword contained log-notice log-nowait log-odelay log-perror
syn keyword tl_keyword contained log-pid log-user log-warning log10
syn keyword tl_keyword contained log1p log2 logand logb
syn keyword tl_keyword contained logcount logior lognot logtest
syn keyword tl_keyword contained logtrunc logxor long long-suffix
syn keyword tl_keyword contained longjmp longlong lop lopf
syn keyword tl_keyword contained lopip lset lstat lutimes
syn keyword tl_keyword contained m$ m^ m^$ mac-env-param-bind
syn keyword tl_keyword contained mac-param-bind macro-ancestor macro-form-p macro-time
syn keyword tl_keyword contained macroexpand macroexpand-1 macroexpand-1-lisp1 macroexpand-1-place
syn keyword tl_keyword contained macroexpand-lisp1 macroexpand-match macroexpand-params macroexpand-place
syn keyword tl_keyword contained macroexpand-struct-clause macrolet madv-dodump madv-dofork
syn keyword tl_keyword contained madv-dontdump madv-dontfork madv-dontneed madv-free
syn keyword tl_keyword contained madv-hugepage madv-hwpoison madv-keeponfork madv-mergeable
syn keyword tl_keyword contained madv-nohugepage madv-normal madv-random madv-remove
syn keyword tl_keyword contained madv-sequential madv-unmergeable madv-willneed madv-wipeonfork
syn keyword tl_keyword contained madvise major make-buf make-buf-stream
syn keyword tl_keyword contained make-byte-input-stream make-catenated-stream make-env make-hash
syn keyword tl_keyword contained make-lazy-cons make-lazy-struct make-like make-package
syn keyword tl_keyword contained make-random-state make-similar-hash make-similar-tree make-string-byte-input-stream
syn keyword tl_keyword contained make-string-input-stream make-string-output-stream make-strlist-input-stream make-strlist-output-stream
syn keyword tl_keyword contained make-struct make-struct-delegate-stream make-struct-type make-sym
syn keyword tl_keyword contained make-time make-time-utc make-trie make-union
syn keyword tl_keyword contained make-zstruct makedev makunbound map-anon
syn keyword tl_keyword contained map-command-buf map-command-lines map-command-str map-fixed
syn keyword tl_keyword contained map-growsdown map-huge-mask map-huge-shift map-hugetlb
syn keyword tl_keyword contained map-locked map-nonblock map-noreserve map-populate
syn keyword tl_keyword contained map-private map-process-buf map-process-lines map-process-str
syn keyword tl_keyword contained map-shared map-stack mapcar mapcar*
syn keyword tl_keyword contained mapdo mapf maphash mappend
syn keyword tl_keyword contained mappend* maprend maprod maprodo
syn keyword tl_keyword contained mask match match-case match-cond
syn keyword tl_keyword contained match-ecase match-error match-fboundp match-fun
syn keyword tl_keyword contained match-regex match-regex-right match-regst match-regst-right
syn keyword tl_keyword contained match-str match-str-tree max mboundp
syn keyword tl_keyword contained md5 md5-begin md5-end md5-hash
syn keyword tl_keyword contained md5-stream member member-if memp
syn keyword tl_keyword contained memq memql memqual meq
syn keyword tl_keyword contained meql mequal merge merge-delete-package
syn keyword tl_keyword contained meth method min minor
syn keyword tl_keyword contained minusp mismatch mkdir mkdtemp
syn keyword tl_keyword contained mkfifo mknod mkstemp mkstring
syn keyword tl_keyword contained mlet mmakunbound mmap mod
syn keyword tl_keyword contained mode-t mprotect mref ms-async
syn keyword tl_keyword contained ms-invalidate ms-sync msync mul-each
syn keyword tl_keyword contained mul-each* mul-each-prod mul-each-prod* multi
syn keyword tl_keyword contained multi-sort munmap n-choose-k n-perm-k
syn keyword tl_keyword contained nand nandf nconc nearbyint
syn keyword tl_keyword contained neg neq neql nequal
syn keyword tl_keyword contained nested-vec nested-vec-of new new*
syn keyword tl_keyword contained nexpand-left nextafter nil nilf
syn keyword tl_keyword contained ninth nl0 nl1 nldly
syn keyword tl_keyword contained nlink-t noflsh none nor
syn keyword tl_keyword contained norf not notf nreconc
syn keyword tl_keyword contained nreverse nrot nshuffle nsort
syn keyword tl_keyword contained nth nthcdr nthlast null
syn keyword tl_keyword contained nullify num-chr num-str numberp
syn keyword tl_keyword contained nzerop o-accmode o-append o-async
syn keyword tl_keyword contained o-cloexec o-creat o-direct o-directory
syn keyword tl_keyword contained o-noatime o-noctty o-nofollow o-nonblock
syn keyword tl_keyword contained o-path o-rdonly o-rdwr o-sync
syn keyword tl_keyword contained o-trunc o-wronly oand obtain
syn keyword tl_keyword contained obtain* obtain*-block obtain-block ocrnl
syn keyword tl_keyword contained oddp ofdel off-t offsetof
syn keyword tl_keyword contained ofill olcuc onlcr onlret
syn keyword tl_keyword contained onocr op open-command open-directory
syn keyword tl_keyword contained open-file open-fileno open-files open-files*
syn keyword tl_keyword contained open-pipe open-process open-socket open-socket-pair
syn keyword tl_keyword contained open-subprocess open-tail opendir openlog
syn keyword tl_keyword contained opf opip opost opt
syn keyword tl_keyword contained opthelp opthelp-conventions opthelp-types or
syn keyword tl_keyword contained orf pack package-alist package-fallback-list
syn keyword tl_keyword contained package-foreign-symbols package-local-symbols package-name package-symbols
syn keyword tl_keyword contained packagep pad page-size pairlis
syn keyword tl_keyword contained parenb parmrk parodd parse-errors
syn keyword tl_keyword contained partition partition* partition-by partition-if
syn keyword tl_keyword contained path-blkdev-p path-cat path-chrdev-p path-components-safe
syn keyword tl_keyword contained path-dir-empty path-dir-p path-equal path-executable-to-me-p
syn keyword tl_keyword contained path-exists-p path-file-p path-mine-p path-my-group-p
syn keyword tl_keyword contained path-newer path-older path-pipe-p path-private-to-me-p
syn keyword tl_keyword contained path-read-writable-to-me-p path-readable-to-me-p path-safe-sticky-dir path-same-object
syn keyword tl_keyword contained path-search path-sep-chars path-setgid-p path-setuid-p
syn keyword tl_keyword contained path-sock-p path-sticky-p path-strictly-private-to-me-p path-symlink-p
syn keyword tl_keyword contained path-writable-to-me-p pdec pendin perm
syn keyword tl_keyword contained permi pic pid-t pinc
syn keyword tl_keyword contained pipe place-form-p placelet placelet*
syn keyword tl_keyword contained plist-to-alist plusp poll poll-err
syn keyword tl_keyword contained poll-in poll-nval poll-out poll-pri
syn keyword tl_keyword contained poll-rdband poll-rdhup poll-wrband poly
syn keyword tl_keyword contained pop pop-after-load portable-abs-path-p pos
syn keyword tl_keyword contained pos-if pos-max pos-min posq
syn keyword tl_keyword contained posql posqual pppred ppred
syn keyword tl_keyword contained pprinl pprint pprof pred
syn keyword tl_keyword contained prinl print prod prof
syn keyword tl_keyword contained prog prog* prog1 prog2
syn keyword tl_keyword contained progn progv promisep prop
syn keyword tl_keyword contained proper-list-p proper-listp prot-exec prot-growsdown
syn keyword tl_keyword contained prot-growsup prot-none prot-read prot-write
syn keyword tl_keyword contained pset ptr ptr-in ptr-in-d
syn keyword tl_keyword contained ptr-out ptr-out-d ptr-out-s ptrdiff-t
syn keyword tl_keyword contained pub:txr-sym pure-rel-path-p purge-deferred-warning push
syn keyword tl_keyword contained push-after-load pushhash pushnew put-buf
syn keyword tl_keyword contained put-byte put-carray put-char put-json
syn keyword tl_keyword contained put-jsonl put-jsons put-line put-lines
syn keyword tl_keyword contained put-obj put-string put-strings pwd
syn keyword tl_keyword contained qquote qref quantile quip
syn keyword tl_keyword contained quote r$ r^ r^$
syn keyword tl_keyword contained raise rand random random-buf
syn keyword tl_keyword contained random-fixnum random-float random-float-incl random-sample
syn keyword tl_keyword contained random-state-get-vec random-state-p range range*
syn keyword tl_keyword contained range-regex rangep rangeref rassoc
syn keyword tl_keyword contained rassq rassql rcomb rcombi
syn keyword tl_keyword contained rcons read read-objects read-once
syn keyword tl_keyword contained read-until-match readdir readlink real-time-stream-p
syn keyword tl_keyword contained realpath record-adapter reduce-left reduce-right
syn keyword tl_keyword contained ref refset regex-compile regex-from-trie
syn keyword tl_keyword contained regex-optimize regex-parse regex-prefix-match regex-source
syn keyword tl_keyword contained regexp register-exception-subtypes register-tentative-def regsub
syn keyword tl_keyword contained rehome-sym reject rel-path relate
syn keyword tl_keyword contained release-deferred-warnings remainder remhash remove-if
syn keyword tl_keyword contained remove-if* remove-path remove-path-rec remq
syn keyword tl_keyword contained remq* remql remql* remqual
syn keyword tl_keyword contained remqual* rename-path repeat replace
syn keyword tl_keyword contained replace-buf replace-env replace-list replace-str
syn keyword tl_keyword contained replace-struct replace-tree-iter replace-vec reset-struct
syn keyword tl_keyword contained rest ret retf return
syn keyword tl_keyword contained return* return-from revappend reverse
syn keyword tl_keyword contained rfind rfind-if right rint
syn keyword tl_keyword contained rlcp rlcp-tree rlet rlim-infinity
syn keyword tl_keyword contained rlim-saved-cur rlim-saved-max rlimit-as rlimit-core
syn keyword tl_keyword contained rlimit-cpu rlimit-data rlimit-fsize rlimit-nofile
syn keyword tl_keyword contained rlimit-stack rlink rlist rlist*
syn keyword tl_keyword contained rmdir rmember rmember-if rmemq
syn keyword tl_keyword contained rmemql rmemqual rmismatch rot
syn keyword tl_keyword contained rotate round round-rem rperm
syn keyword tl_keyword contained rpermi rplaca rplacd rpoly
syn keyword tl_keyword contained rpos rpos-if rposq rposql
syn keyword tl_keyword contained rposqual rr rra rsearch
syn keyword tl_keyword contained rslot rtld-deepbind rtld-global rtld-lazy
syn keyword tl_keyword contained rtld-local rtld-nodelete rtld-noload rtld-now
syn keyword tl_keyword contained run s-ifblk s-ifchr s-ifdir
syn keyword tl_keyword contained s-ififo s-iflnk s-ifmt s-ifreg
syn keyword tl_keyword contained s-ifsock s-irgrp s-iroth s-irusr
syn keyword tl_keyword contained s-irwxg s-irwxo s-irwxu s-isgid
syn keyword tl_keyword contained s-isuid s-isvtx s-iwgrp s-iwoth
syn keyword tl_keyword contained s-iwusr s-ixgrp s-ixoth s-ixusr
syn keyword tl_keyword contained save-exe sbit scalb scalbln
syn keyword tl_keyword contained scan-until-match search search-all search-regex
syn keyword tl_keyword contained search-regst search-str search-str-tree second
syn keyword tl_keyword contained seek-cur seek-end seek-set seek-stream
syn keyword tl_keyword contained select self-load-path self-path separate
syn keyword tl_keyword contained separate-keys seq-begin seq-next seq-reset
syn keyword tl_keyword contained seqp set set-diff set-hash-userdata
syn keyword tl_keyword contained set-indent set-indent-mode set-key set-left
syn keyword tl_keyword contained set-mask set-max-depth set-max-length set-package-fallback-list
syn keyword tl_keyword contained set-right set-sig-handler set-stack-limit setegid
syn keyword tl_keyword contained setenv seteuid setgid setgrent
syn keyword tl_keyword contained setgroups sethash setitimer setjmp
syn keyword tl_keyword contained setlogmask setpwent setresgid setresuid
syn keyword tl_keyword contained setrlimit setuid seventh sh
syn keyword tl_keyword contained sh-esc sh-esc-all sh-esc-dq sh-esc-sq
syn keyword tl_keyword contained sha1 sha1-begin sha1-end sha1-hash
syn keyword tl_keyword contained sha1-stream sha256 sha256-begin sha256-end
syn keyword tl_keyword contained sha256-hash sha256-stream shift short
syn keyword tl_keyword contained short-suffix shuffle shut-rd shut-rdwr
syn keyword tl_keyword contained shut-wr sig-abrt sig-alrm sig-atomic-t
syn keyword tl_keyword contained sig-bus sig-check sig-chld sig-cont
syn keyword tl_keyword contained sig-fpe sig-hup sig-ill sig-int
syn keyword tl_keyword contained sig-io sig-iot sig-kill sig-pipe
syn keyword tl_keyword contained sig-poll sig-prof sig-pwr sig-quit
syn keyword tl_keyword contained sig-segv sig-stkflt sig-stop sig-sys
syn keyword tl_keyword contained sig-term sig-trap sig-tstp sig-ttin
syn keyword tl_keyword contained sig-ttou sig-urg sig-usr1 sig-usr2
syn keyword tl_keyword contained sig-vtalrm sig-winch sig-xcpu sig-xfsz
syn keyword tl_keyword contained sign-extend significand signum sin
syn keyword tl_keyword contained sinh sixth size-t size-vec
syn keyword tl_keyword contained sizeof slet slot slotp
syn keyword tl_keyword contained slots slotset snsort so-acceptconn
syn keyword tl_keyword contained so-broadcast so-debug so-dontroute so-error
syn keyword tl_keyword contained so-keepalive so-linger so-oobinline so-rcvbuf
syn keyword tl_keyword contained so-rcvlowat so-rcvtimeo so-reuseaddr so-sndbuf
syn keyword tl_keyword contained so-sndlowat so-sndtimeo so-type sock-accept
syn keyword tl_keyword contained sock-bind sock-cloexec sock-connect sock-dgram
syn keyword tl_keyword contained sock-family sock-listen sock-nonblock sock-opt
syn keyword tl_keyword contained sock-peer sock-recv-timeout sock-send-timeout sock-set-opt
syn keyword tl_keyword contained sock-set-peer sock-shutdown sock-stream sock-type
syn keyword tl_keyword contained sockaddr-str socklen-t sol-socket some
syn keyword tl_keyword contained some-false some-true sort sort-group
syn keyword tl_keyword contained source-loc source-loc-str span-str special-operator-p
syn keyword tl_keyword contained special-var-p spl splice split
syn keyword tl_keyword contained split* split-str split-str-set spln
syn keyword tl_keyword contained sqrt square ssize-t ssort
syn keyword tl_keyword contained sspl sssucc ssucc starts-with
syn keyword tl_keyword contained stat static-slot static-slot-ensure static-slot-home
syn keyword tl_keyword contained static-slot-p static-slot-set stdlib str
syn keyword tl_keyword contained str-buf str-d str-esc str-in6addr
syn keyword tl_keyword contained str-in6addr-net str-inaddr str-inaddr-net str-s
syn keyword tl_keyword contained str-seq str< str<= str=
syn keyword tl_keyword contained str> str>= stream-get-prop stream-set-prop
syn keyword tl_keyword contained streamp strerror string-extend string-finish
syn keyword tl_keyword contained string-get-code string-lt string-set-code stringp
syn keyword tl_keyword contained strsignal struct struct-from-args struct-from-plist
syn keyword tl_keyword contained struct-get-initfun struct-get-postinitfun struct-set-initfun struct-set-postinitfun
syn keyword tl_keyword contained struct-type struct-type-name struct-type-p structp
syn keyword tl_keyword contained sub sub-buf sub-list sub-str
syn keyword tl_keyword contained sub-tree sub-vec subq subql
syn keyword tl_keyword contained subqual subst subtypep succ
syn keyword tl_keyword contained sum sum-each sum-each* sum-each-prod
syn keyword tl_keyword contained sum-each-prod* super super-method suspend
syn keyword tl_keyword contained swap symacrolet symbol-function symbol-macro
syn keyword tl_keyword contained symbol-name symbol-package symbol-value symbolp
syn keyword tl_keyword contained symdiff symlink sys:%backpatch-high16% sys:%backpatch-low16%
syn keyword tl_keyword contained sys:%big-endian% sys:%bin-op% sys:%bin-ops% sys:%block-using-funs%
syn keyword tl_keyword contained sys:%call-op% sys:%const-foldable% sys:%const-foldable-funs% sys:%dbg-command-env%
syn keyword tl_keyword contained sys:%dbg-commands% sys:%effect-free% sys:%effect-free-funs% sys:%eval-cache%
syn keyword tl_keyword contained sys:%functional% sys:%functional-funs% sys:%gcall-op% sys:%lev-bits%
syn keyword tl_keyword contained sys:%lev-size% sys:%max-lambda-fixed-args% sys:%max-lev% sys:%max-lev-idx%
syn keyword tl_keyword contained sys:%max-sm-lev% sys:%max-sm-lev-idx% sys:%max-v-lev% sys:%nary-ops%
syn keyword tl_keyword contained sys:%oc-code% sys:%oc-hash% sys:%oc-list-builder% sys:%package-manip%
syn keyword tl_keyword contained sys:%param-info% sys:%quip-rand-state% sys:%quips% sys:%shuffled-quips%
syn keyword tl_keyword contained sys:%sm-lev-bits% sys:%sm-lev-size% sys:%test-funs% sys:%test-funs-neg%
syn keyword tl_keyword contained sys:%test-funs-ops% sys:%test-funs-pos% sys:%test-inv% sys:%test-opcode%
syn keyword tl_keyword contained sys:%tlo-ver% sys:%warning-syms% sys:*dedup* sys:*emit*
syn keyword tl_keyword contained sys:*eval* sys:*in-compilation-unit* sys:*lazy-streams* sys:*load-recursive*
syn keyword tl_keyword contained sys:*load-time* sys:*match-form* sys:*op-ctx* sys:*pl-env*
syn keyword tl_keyword contained sys:*pl-form* sys:*struct-prelude* sys:*struct-prelude-alists* sys:*top-level*
syn keyword tl_keyword contained sys:*trace-hash* sys:*trace-level* sys:*unchecked-calls* sys:abscond*
syn keyword tl_keyword contained sys:abscond-from sys:add-neg-parens sys:analyze-argtypes sys:analyze-params
syn keyword tl_keyword contained sys:apply sys:arith-each sys:asm-error sys:assumed-fun
syn keyword tl_keyword contained sys:autoload-try-fun sys:awk%--rng sys:awk%--rng+ sys:awk%--rng-
syn keyword tl_keyword contained sys:awk%-rng+ sys:awk%rng+ sys:awk-code-move-check sys:awk-error
syn keyword tl_keyword contained sys:awk-expander sys:awk-field-name-code sys:awk-fun-let sys:awk-fun-shadowing-env
syn keyword tl_keyword contained sys:awk-mac-let sys:awk-mac-let-outer sys:awk-redir sys:awk-symac-let
syn keyword tl_keyword contained sys:awk-test sys:b* sys:b+ sys:b-
syn keyword tl_keyword contained sys:b/ sys:b< sys:b<= sys:b=
syn keyword tl_keyword contained sys:b=> sys:b> sys:bad-slot-syntax sys:bexp-expand
syn keyword tl_keyword contained sys:bexp-parse sys:bexp-parse-brace sys:bind-mac-check sys:bind-mac-error
syn keyword tl_keyword contained sys:bindable-check sys:bits sys:bits-to-obj sys:blk
syn keyword tl_keyword contained sys:brace-expand sys:build-expander sys:cached-sort-body sys:can-inline-chain
syn keyword tl_keyword contained sys:capture-cont sys:careful-subst-preserve sys:catch sys:check
syn keyword tl_keyword contained sys:check-slot sys:check-struct sys:check-sym sys:circref
syn keyword tl_keyword contained sys:comma-positions sys:compat sys:compile-and-match sys:compile-as-match
syn keyword tl_keyword contained sys:compile-atom-match sys:compile-cons-structure sys:compile-exprs-match sys:compile-file-conditionally
syn keyword tl_keyword contained sys:compile-hash-match sys:compile-loop-match sys:compile-match sys:compile-new-var-match
syn keyword tl_keyword contained sys:compile-not-match sys:compile-or-match sys:compile-predicate-match sys:compile-range-match
syn keyword tl_keyword contained sys:compile-require-match sys:compile-scan-match sys:compile-struct-match sys:compile-var-match
syn keyword tl_keyword contained sys:compile-vec-match sys:compile-with-match sys:compiler-emit-warnings sys:conv
syn keyword tl_keyword contained sys:conv-expand sys:conv-expand-sym sys:conv-let sys:ctx-form
syn keyword tl_keyword contained sys:ctx-name sys:dbg-all sys:dbg-backtrace sys:dbg-clear
syn keyword tl_keyword contained sys:dbg-enable sys:dbg-restore sys:dbg-set sys:dbg-step
syn keyword tl_keyword contained sys:debugger sys:debugger-help sys:dedup sys:dedup-labels
syn keyword tl_keyword contained sys:deffi-cb-expander sys:define-method sys:defset-expander sys:defset-expander-simple
syn keyword tl_keyword contained sys:detached-run sys:dig sys:disassemble-cdf sys:dlib-expr
syn keyword tl_keyword contained sys:do-conv sys:do-copy-obj sys:do-path-test sys:do-tweak-obj
syn keyword tl_keyword contained sys:dump-to-tlo sys:dvbind sys:dwim-del sys:dwim-set
syn keyword tl_keyword contained sys:dyn-size sys:each-match-expander sys:each-op sys:early-peephole
syn keyword tl_keyword contained sys:enc-small-op sys:ensure-op-arg sys:env-to-let sys:eq-comparable
syn keyword tl_keyword contained sys:eql-comparable sys:eval-cache-emit-warnings sys:eval-err sys:expand-and
syn keyword tl_keyword contained sys:expand-arith-each-prod sys:expand-bind-mac-params sys:expand-defmacro sys:expand-defsymacro
syn keyword tl_keyword contained sys:expand-defun sys:expand-defvarl sys:expand-dohash sys:expand-doloop
syn keyword tl_keyword contained sys:expand-each sys:expand-each-prod sys:expand-each-prod* sys:expand-handle
syn keyword tl_keyword contained sys:expand-lambda-match sys:expand-neg-parens sys:expand-param-macro sys:expand-params
syn keyword tl_keyword contained sys:expand-pic sys:expand-pic-align sys:expand-pic-num sys:expand-pic-num-commas
syn keyword tl_keyword contained sys:expand-quasi sys:expand-quasi-args sys:expand-quasi-match sys:expand-quasi-mods
syn keyword tl_keyword contained sys:expand-sym-ref sys:expr sys:fbind sys:find-parent
syn keyword tl_keyword contained sys:fixed-point sys:flatten-or sys:fmt-flex sys:fmt-join
syn keyword tl_keyword contained sys:fmt-simple sys:for-op sys:gc sys:gc-set-delta
syn keyword tl_keyword contained sys:get-buf-common sys:get-fun-getter-setter sys:get-mb sys:get-param-info
syn keyword tl_keyword contained sys:get-place-macro sys:get-var-list sys:get-vars sys:get-vb
syn keyword tl_keyword contained sys:getopts-error sys:glob-xstar sys:handle-bad-syntax sys:handle-mutated-var-args
syn keyword tl_keyword contained sys:hlet-expand sys:if-to-cond sys:ign-notfound sys:in6addr-condensed-text
syn keyword tl_keyword contained sys:inline-chain sys:inline-chain-rec sys:insert-commas sys:is-label
syn keyword tl_keyword contained sys:l1-setq sys:l1-val sys:lambda-apply-transform sys:lambda-excess-apply-list
syn keyword tl_keyword contained sys:lambda-short-apply-list sys:lambda-too-few-args sys:lambda-too-many-args sys:lbind
syn keyword tl_keyword contained sys:lisp1-setq sys:lisp1-value sys:list-builder-flets sys:list-from-vm-desc
syn keyword tl_keyword contained sys:load-time-lit sys:loc sys:loosen sys:mac-env-flatten
syn keyword tl_keyword contained sys:make-anon-package sys:make-command-env sys:make-copy-path-opts sys:make-struct-lit
syn keyword tl_keyword contained sys:make-struct-type sys:maproc-common sys:mark-special sys:match-case-to-casequal
syn keyword tl_keyword contained sys:match-pat-error sys:maybe-mov sys:meth-lambda sys:misleading-ref-check
syn keyword tl_keyword contained sys:name-str sys:new-expander sys:new-type sys:no-dvbind-eval
syn keyword tl_keyword contained sys:non-triv-pat-p sys:null-reg sys:obtain-impl sys:op-alpha-rename
syn keyword tl_keyword contained sys:op-ensure-rec sys:op-expand sys:op-meta-p sys:op-rec-p
syn keyword tl_keyword contained sys:open-compile-streams sys:open-url sys:operand-to-exp sys:operand-to-sym
syn keyword tl_keyword contained sys:opip-expand sys:opip-let-p sys:opip-single-let-p sys:opt-controlled-diag
syn keyword tl_keyword contained sys:opt-dash sys:opt-err sys:orig-form sys:os-symbol
syn keyword tl_keyword contained sys:param-check sys:parse-compound-operand sys:parse-lambda-match-clause sys:parse-operand
syn keyword tl_keyword contained sys:pat-len sys:path-access sys:path-examine sys:path-simplify
syn keyword tl_keyword contained sys:path-split sys:path-test-mode sys:path-test-type sys:path-volume
syn keyword tl_keyword contained sys:pic-join-opt sys:placelet-1 sys:print-backtrace sys:propagate-ancestor
syn keyword tl_keyword contained sys:propagate-perms sys:prune-missing-inits sys:put-objects sys:qquote
syn keyword tl_keyword contained sys:quasi sys:quasilist sys:r-s-let-expander sys:reduce-constant
syn keyword tl_keyword contained sys:reduce-lisp sys:reduce-or sys:reg-expand-nongreedy sys:register-opcode
syn keyword tl_keyword contained sys:register-simple-accessor sys:repl sys:rewrite sys:rewrite-case
syn keyword tl_keyword contained sys:rplaca sys:rplacd sys:rslotset sys:rt-assert-fail
syn keyword tl_keyword contained sys:rt-defmacro sys:rt-defsymacro sys:rt-defun sys:rt-defv
syn keyword tl_keyword contained sys:rt-defvarl sys:rt-load-for sys:rt-pprof sys:rt-progv
syn keyword tl_keyword contained sys:rt-setjmp sys:safe-abs-path sys:safe-const-eval sys:safe-const-reduce
syn keyword tl_keyword contained sys:safe-constantp sys:set-hash-traversal-limit sys:set-macro-ancestor sys:set-symbol-value
syn keyword tl_keyword contained sys:setq sys:setqf sys:simplify-or sys:simplify-variadic-lambda
syn keyword tl_keyword contained sys:slot-types sys:small-op-p sys:small-op-to-sym sys:splice
syn keyword tl_keyword contained sys:static-slot-types sys:str-inaddr-net-impl sys:struct-lit sys:subst-preserve
syn keyword tl_keyword contained sys:switch sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander
syn keyword tl_keyword contained sys:system-symbol-p sys:top-fb sys:top-mb sys:top-vb
syn keyword tl_keyword contained sys:tr* sys:trace sys:trace-canonicalize-name sys:trace-enter
syn keyword tl_keyword contained sys:trace-leave sys:trace-redefine-check sys:transform-qquote sys:translate-hash-bang
syn keyword tl_keyword contained sys:tree-construct sys:trfm sys:true-const-p sys:txr-case-impl
syn keyword tl_keyword contained sys:typecase-expander sys:unquote sys:untrace sys:upenv
syn keyword tl_keyword contained sys:uw-block sys:uw-captured-block sys:uw-catch sys:uw-cont-copy
syn keyword tl_keyword contained sys:uw-eval sys:uw-expand sys:uw-fcall sys:uw-guard
syn keyword tl_keyword contained sys:uw-handle sys:uw-menv sys:var sys:var-pat-p
syn keyword tl_keyword contained sys:vars-check sys:vm-closure-desc sys:vm-closure-entry sys:vm-desc-bytecode
syn keyword tl_keyword contained sys:vm-desc-datavec sys:vm-desc-nlevels sys:vm-desc-nregs sys:vm-desc-symvec
syn keyword tl_keyword contained sys:vm-execute-toplevel sys:vm-make-desc sys:wdwrap sys:when-exprs-match
syn keyword tl_keyword contained sys:when-opt sys:with-disabled-debugging sys:with-dyn-lib-check syslog
syn keyword tl_keyword contained system-package t tab0 tab1
syn keyword tl_keyword contained tab2 tab3 tabdly tagbody
syn keyword tl_keyword contained tailp take take-until take-while
syn keyword tl_keyword contained tan tanh tap tb
syn keyword tl_keyword contained tc tcdrain tcflow tcflush
syn keyword tl_keyword contained tcgetattr tciflush tcioff tcioflush
syn keyword tl_keyword contained tcion tcoflush tcooff tcoon
syn keyword tl_keyword contained tcp-nodelay tcsadrain tcsaflush tcsanow
syn keyword tl_keyword contained tcsendbreak tcsetattr tentative-def-exists tenth
syn keyword tl_keyword contained test-clear test-clear-dirty test-dec test-dirty
syn keyword tl_keyword contained test-inc test-neq-set-indent-mode test-set test-set-indent-mode
syn keyword tl_keyword contained tf tgamma third throw
syn keyword tl_keyword contained throwf time time-fields-local time-fields-utc
syn keyword tl_keyword contained time-nsec time-parse time-parse-local time-parse-utc
syn keyword tl_keyword contained time-str-local time-str-utc time-string-local time-string-utc
syn keyword tl_keyword contained time-struct-local time-struct-utc time-t time-usec
syn keyword tl_keyword contained tmpfile tnode tnodep to
syn keyword tl_keyword contained tofloat tofloatz toint tointz
syn keyword tl_keyword contained tojson tok tok-str tok-where
syn keyword tl_keyword contained tokn tostop tostring tostringp
syn keyword tl_keyword contained touch tprint trace transpose
syn keyword tl_keyword contained tree tree-begin tree-bind tree-case
syn keyword tl_keyword contained tree-clear tree-count tree-del-min tree-del-min-node
syn keyword tl_keyword contained tree-delete tree-delete-node tree-delete-specific-node tree-find
syn keyword tl_keyword contained tree-insert tree-insert-node tree-lookup tree-lookup-node
syn keyword tl_keyword contained tree-min tree-min-node tree-next tree-peek
syn keyword tl_keyword contained tree-reset tree-root treep trie-add
syn keyword tl_keyword contained trie-compress trie-lookup-begin trie-lookup-feed-char trie-value-at
syn keyword tl_keyword contained trim-left trim-long-suffix trim-path-seps trim-right
syn keyword tl_keyword contained trim-short-suffix trim-str true trunc
syn keyword tl_keyword contained trunc-rem truncate-stream tuples tuples*
syn keyword tl_keyword contained txr-case txr-exe-path txr-if txr-parse
syn keyword tl_keyword contained txr-path txr-version txr-when typecase
syn keyword tl_keyword contained typedef typeof typep ubit
syn keyword tl_keyword contained uchar uid-t uint uint-buf
syn keyword tl_keyword contained uint-carray uint-ptr-t uint16 uint32
syn keyword tl_keyword contained uint64 uint8 uintmax-t ulong
syn keyword tl_keyword contained ulonglong umask umeth umethod
syn keyword tl_keyword contained uname unget-byte unget-char uni
syn keyword tl_keyword contained unintern union union-get union-in
syn keyword tl_keyword contained union-members union-out union-put uniq
syn keyword tl_keyword contained unique unless unquote unsetenv
syn keyword tl_keyword contained until until* untrace unuse-package
syn keyword tl_keyword contained unuse-sym unwind-protect upcase-str upd
syn keyword tl_keyword contained update uref url-decode url-encode
syn keyword tl_keyword contained use use-package use-sym use-sym-as
syn keyword tl_keyword contained user-package ushort usl usleep
syn keyword tl_keyword contained uslot utimes val vdiscard
syn keyword tl_keyword contained vec vec-carray vec-list vec-push
syn keyword tl_keyword contained vec-seq vec-set-length vecref vector
syn keyword tl_keyword contained vector-list vectorp veof veol
syn keyword tl_keyword contained veol2 verase vintr vkill
syn keyword tl_keyword contained vlnext vm-fun-p vmin void
syn keyword tl_keyword contained vquit vreprint vstart vstop
syn keyword tl_keyword contained vsusp vswtc vt0 vt1
syn keyword tl_keyword contained vtdly vtime vwerase w-continued
syn keyword tl_keyword contained w-coredump w-exitstatus w-ifcontinued w-ifexited
syn keyword tl_keyword contained w-ifsignaled w-ifstopped w-nohang w-stopsig
syn keyword tl_keyword contained w-termsig w-untraced wait wchar
syn keyword tl_keyword contained weave when when-match whena
syn keyword tl_keyword contained whenlet where while while*
syn keyword tl_keyword contained while-match while-match-case while-true-match-case whilet
syn keyword tl_keyword contained width width-check window-map window-mapdo
syn keyword tl_keyword contained window-mappend wint-t with-clobber-expander with-compilation-unit
syn keyword tl_keyword contained with-compile-opts with-delete-expander with-dyn-lib with-gensyms
syn keyword tl_keyword contained with-hash-iter with-in-buf-stream with-in-string-byte-stream with-in-string-stream
syn keyword tl_keyword contained with-objects with-out-buf-stream with-out-string-stream with-out-strlist-stream
syn keyword tl_keyword contained with-resources with-slots with-stream with-update-expander
syn keyword tl_keyword contained wrap wrap* wstr wstr-d
syn keyword tl_keyword contained wstr-s xcase y0 y1
syn keyword tl_keyword contained yield yield-from yn zap
syn keyword tl_keyword contained zarray zchar zero-fill zerop
syn keyword tl_keyword contained zip znew
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_splicevar "[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "\(@[ \t]*\)\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ "`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ /sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match tl_error "#[^HSRTN]"

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_hashbang "\%^#!.*"

syn match txr_qat "\(@[ \t]*\)" nextgroup=txr_splicevar,txr_metanum,txr_qbracevar,txr_list,txr_bracket,txr_escat,txr_stresc,txr_numesc,txr_badesc contained
syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match txr_braced_ident "\(#\?:\)\?[[A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "\(#\?:\)\?[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9,]\+" contains=txr_xnum,txr_bnum,txr_onum
syn match txr_xnum "#x[+\-]\?\([0-9A-Fa-f][,0-9A-Fa-f]*[0-9A-Fa-f]\|[0-9A-Fa-f]\)" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?\([0-7][,0-7]*[0-7]\|[0-7]\)" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?\([01][,01]*[01]\|[01]\)" containedin=txr_pnum contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)"
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([eE][+\-]\?[0-9]\+\)\?"
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([eE][+\-]\?[0-9]\+\)"
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)"
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)"
syn match tl_ident "#\?:"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'"
syn match txr_quote "\^"
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@"

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_qbracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_list matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_string start=+#\?\*\?"+ skip=+\\\n+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ skip=+\\\n+ end=+[`\n]+ contains=txr_qat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_ign matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTNJ]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*{" matchgroup=Comment end="}" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="{" matchgroup=Comment end="}" contains=txr_ign_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok contained matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqlist contained matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqbkt contained matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_jstring contained matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_qat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link tl_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_interior Comment
hi def link txr_ign Comment
hi def link txr_ign_json Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,close-lazy-streams,collect-each,collect-each*,collect-each-prod,collect-each-prod*,compare-swap,compile-only,compiler-let,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,define-struct-clause,define-struct-prelude,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,each-false,each-match,each-match-product,each-prod,each-prod*,each-true,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,ensure,enum,enumed,equot,etypecase,eval-only,expander-let,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ignerr,ignwarn,in-package,ip,json,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,lflow,lnew*,load-for,load-time,loand,lop,lopf,lopip,lset,mac-env-param-bind,mac-param-bind,macro-time,macrolet,match,match-case,match-cond,match-ecase,mlet,mul-each,mul-each*,mul-each-prod,mul-each-prod*,nand,new*,nor,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,opf,pack,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,progv,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,setjmp,sizeof,slet,some-false,some-true,splice,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,symacrolet,sys:abscond-from,sys:arith-each,sys:awk-fun-let,sys:awk-mac-let,sys:awk-mac-let-outer,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:cached-sort-body,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:fixed-point,sys:for-op,sys:ign-notfound,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:meth-lambda,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:when-exprs-match,sys:when-opt,sys:with-disabled-debugging,tagbody,tap,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-compile-opts,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:\;\;\;,:\;\;,:\;
